Summary:	A utility for determining file types.
Name:		file
Version:	3.41
Release:	1.0.2
Copyright:	distributable
Group:		Applications/File
Source0:	ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
Patch0:		file-3.39-rh.patch
Patch1:		file-3.39-ppc.patch
Patch2:		file-3.41-shutup-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The file command is used to identify a particular file according to the
type of data contained by the file.

%files
  %defattr(-,root,root)
  %{_prefix}/bin/file
  %{_prefix}/share/magic
  %doc %{_mandir}/man1/file.*
  %doc %{_mandir}/man4/magic.*


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} \
	--infodir=%{_infodir}
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man4
  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/share
  make prefix=${RPM_BUILD_ROOT}%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} install

{ cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/file
}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Mar 07 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.41, Release 1.5.2
  - Backport latest file from Thrust for security fixes.

* Tue Mar 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.41, Release 1.5.2
  - Upgrade to latest upstream version for security fixes.
  - Shut up "Using regular magic file" message.

* Mon Mar 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.39, Release 1.5.1
  - Upgrade to latest upstream version.
  - Ryan-ize spec.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.28, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes

* Mon Jul 10 2000 Dave Wreski <dave@guardiandigital.com>
- first version
